## r-cran-ecosolver 0.5.4

=== DESCRIPTION ===
Package: ECOSolveR
Type: Package
Title: Embedded Conic Solver in R
Version: 0.5.4
Date: 2021-01-05
VignetteBuilder: knitr
Authors@R: c(person("Anqi", "Fu", role = c("aut"),
	   	    email = "anqi.fu.1987@gmail.com"),
  	     person("Balasubramanian", "Narasimhan", role = c("aut", "cre"),
	   	    email = "naras@stat.Stanford.EDU"),
	     person("Florian", "Schwendinger", role = c("ctb"),
	             email = "FlorianSchwendinger@gmx.at")
	   , person("Martin", "Maechler", role = "ctb",
	             email = "maechler@stat.math.ethz.ch")
	   )
SystemRequirements: GNU make
URL: https://bnaras.github.io/ECOSolveR/
BugReports: https://github.com/bnaras/ECOSolveR/issues
Imports: methods
Suggests: knitr, rmarkdown, testthat, Matrix, covr, slam
Description: R interface to the Embedded COnic Solver (ECOS), an efficient
	     and robust C library for convex problems. Conic and equality
	     constraints can be specified in addition to integer and
	     boolean variable constraints for mixed-integer problems. This
	     R interface is inspired by the python interface and has
	     similar calling conventions.
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-01-13 03:40:31 UTC; naras
Author: Anqi Fu [aut],
  Balasubramanian Narasimhan [aut, cre],
  Florian Schwendinger [ctb],
  Martin Maechler [ctb]
Maintainer: Balasubramanian Narasimhan <naras@stat.Stanford.EDU>
Repository: CRAN
Date/Publication: 2021-01-14 06:20:36 UTC

=== src/ecos-2954b2a-changes/Makefile ===
# Makefile for ECOS

# Disable implicit rules such as 'make ecos' when 'ecos.o' exists
.SUFFIXES:

# Configuration of make process in ecos.mk
include ecos.mk
## BEGIN: edited by naras
##CFLAGS += -Iinclude -Iexternal/ldl/include -Iexternal/amd/include -Iexternal/SuiteSparse_config
ECOS_INCLUDES = -Iinclude -Iexternal/ldl/include -Iexternal/amd/include -Iexternal/SuiteSparse_config 
## END: edited by naras
TEST_INCLUDES = -Itest -Itest/generated

# Compile all C code, including the C-callable routine
.PHONY: all
all: libecos.a libecos_bb.a runecos runecosexp

# build Tim Davis' sparse LDL package
$(LDL):
	( cd external/ldl    ; $(MAKE) )
	$(AR) -x external/ldl/libldl.a

# build Tim Davis' AMD package
$(AMD):
	( cd external/amd    ; $(MAKE) )
	$(AR) -x external/amd/libamd.a

# build ECOS
ECOS_OBJS = ecos.o kkt.o cone.o spla.o ctrlc.o timer.o preproc.o splamm.o equil.o expcone.o wright_omega.o
libecos.a: $(ECOS_OBJS) $(LDL) $(AMD)
	$(ARCHIVE) $@ $^
	- $(RANLIB) $@

# build ECOS branch-and-bound
ECOS_BB_OBJS = $(ECOS_OBJS) ecos_bb_preproc.o ecos_bb.o
libecos_bb.a: $(ECOS_BB_OBJS) $(LDL) $(AMD)
	$(ARCHIVE) $@ $^
	- $(RANLIB) $@

## BEGIN: edited by naras
# %.o : src/%.c
# 	$(CC) $(CFLAGS) -c $< -o $@

# %.o : ecos_bb/%.c
# 	$(CC) $(CFLAGS) -c $< -o $@

%.o : src/%.c
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) -c $< -o $@

%.o : ecos_bb/%.c
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) -c $< -o $@

## END: edited by naras

ecos_bb.o           : include/ecos_bb.h
ecos_bb_preproc.o   : include/ecos_bb.h
ecos.o              : include/ecos.h include/glblopts.h include/cone.h
kkt.o               : include/kkt.h include/glblopts.h include/cone.h include/ecos.h
cone.o              : include/cone.h include/glblopts.h include/ecos.h
preproc.o           : include/glblopts.h include/cone.h include/ecos.h
spla.o              : include/spla.h include/glblopts.h include/cone.h include/ecos.h
splamm.o            : include/splamm.h include/glblopts.h include/cone.h include/ecos.h
ctrlc.o             : include/ctrlc.h include/glblopts.h include/cone.h include/ecos.h
timer.o             : include/timer.h include/glblopts.h include/cone.h include/ecos.h
equil.o             : include/equil.h include/glblopts.h include/cone.h include/ecos.h
expcone.o           : include/expcone.h  
wright_omega.o      : include/wright_omega.h

## BEGIN: edited by naras to include ECOS_CFLAGS
# ECOS demo
.PHONY: demo
demo: runecos
runecos: src/runecos.c libecos.a
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) -o $@ $^ $(LDFLAGS) $(ECOS_LDFLAGS)
	echo ECOS successfully built. Type ./runecos to run demo problem.

runecosexp: src/runecos_exp.c libecos.a
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) -o $@ $^ $(LDFLAGS) $(ECOS_LDFLAGS)
	echo ECOS-Exp successfully built. Type ./runecosexp to run demo problem.

# Shared library
.PHONY: shared
shared: $(SHAREDNAME)
$(SHAREDNAME): $(LDL) $(AMD) $(ECOS_OBJS)
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) -shared -o $@ $^ $(LDFLAGS) $(ECOS_LDFLAGS)

# ECOS tester
TEST_OBJS = qcml_utils.o norm.o sq_norm.o sum_sq.o quad_over_lin.o inv_pos.o
.PHONY: test
test: ecostester ecos_bb_test
ecostester: test/ecostester.c $(TEST_OBJS) libecos.a
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) $(TEST_INCLUDES) -o $@ $^ $(LDFLAGS) $(ECOS_LDFLAGS)

ecos_bb_test: test/bb_test.c libecos_bb.a
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) -o $@ $^ $(LDFLAGS) $(ECOS_LDFLAGS)

%.o: test/generated/%.c test/generated/%.h
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) $(TEST_INCLUDES) -c $< -o $@

%.o: test/generated/*/%.c test/generated/*/%.h
	$(CC) $(CFLAGS) $(ECOS_CFLAGS) $(ECOS_INCLUDES) $(TEST_INCLUDES) -c $< -o $@

## END: edited by naras to include ECOS_CFLAGS

# remove object files, but keep the compiled programs and library archives
.PHONY: clean
clean:
	( cd external/ldl    ; $(MAKE) clean )
	( cd external/amd    ; $(MAKE) clean )
	- $(RM) $(CLEAN)

# clean, and then remove compiled programs and library archives
.PHONY: purge
purge: clean
	( cd external/ldl    ; $(MAKE) purge )
	( cd external/amd    ; $(MAKE) purge )
	- $(RM) libecos.a libecos_bb.a runecos runecosexp

=== src/ecos/external/amd/Makefile ===
#-------------------------------------------------------------------------------
# AMD Makefile for compiling on Unix systems (for GNU make only)
#-------------------------------------------------------------------------------

default: libamd.a

include ../../ecos.mk

C = $(CC) $(CFLAGS) -Iinclude -I../SuiteSparse_config

#-------------------------------------------------------------------------------
# source files
#-------------------------------------------------------------------------------

AMD = amd_aat amd_1 amd_2 amd_dump amd_postorder amd_post_tree amd_defaults \
	amd_order amd_control amd_info amd_valid amd_preprocess

CONFIG = ../SuiteSparse_config/SuiteSparse_config.h

INC = include/amd.h include/amd_internal.h $(CONFIG)

#-------------------------------------------------------------------------------
# object files for each version
#-------------------------------------------------------------------------------

AMDI = $(addsuffix .o, $(subst amd_,amd_i_,$(AMD)))
AMDL = $(addsuffix .o, $(subst amd_,amd_l_,$(AMD)))

#-------------------------------------------------------------------------------
# compile each int and long routine (with no real/complex version)
#-------------------------------------------------------------------------------

amd_global.o: src/amd_global.c $(INC)
	$(C) -c $< -o $@

amd_i_%.o: src/amd_%.c $(INC)
	$(C) -DDINT -c $< -o $@

amd_l_%.o: src/amd_%.c $(INC)
	$(C) -DDLONG -c $< -o $@

#-------------------------------------------------------------------------------
# Create the libamd.a library (C versions only)
#-------------------------------------------------------------------------------

libamd.a: amd_global.o $(AMDI) $(AMDL)
	$(ARCHIVE) libamd.a $^
	- $(RANLIB) libamd.a

#-------------------------------------------------------------------------------
# Remove all but the files in the original distribution
#-------------------------------------------------------------------------------

clean:
	- $(RM) $(CLEAN)

purge: 
	- $(RM) libamd.a libamdf77.a

=== src/ecos/external/ldl/Makefile ===
#-------------------------------------------------------------------------------
# Makefile for the LDL library
#-------------------------------------------------------------------------------

default: all

include ../../ecos.mk

INCLUDES = -I../SuiteSparse_config -Iinclude

C = $(CC) $(CFLAGS) $(INCLUDES)

all: libldl.a

#-------------------------------------------------------------------------------
# the ldl library:
#-------------------------------------------------------------------------------

libldl.a: src/ldl.c include/ldl.h ../../include/glblopts.h ../../include/ecos.h
	$(C) -c src/ldl.c -o ldl.o
	$(C) -DLDL_LONG -c src/ldl.c -o ldll.o
	$(ARCHIVE)  libldl.a ldl.o ldll.o
	- $(RANLIB) libldl.a

purge:
	- $(RM) libldl.a
clean:
	- $(RM) $(CLEAN)

## r-cran-ecosolver 0.5.3+dfsg

=== debian/changelog ===
r-cran-ecosolver (0.5.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #961835)

 -- Rodrigo Carvalho <rodrigorsdc@gmail.com>  Tue, 02 Jun 2020 14:18:46 -0300

=== debian/control ===
Source: r-cran-ecosolver
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Rodrigo Carvalho <rodrigorsdc@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
Homepage: https://cran.r-project.org/package=ECOSolveR
Rules-Requires-Root: no

Package: r-cran-ecosolver
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
	  r-cran-knitr,
	  r-cran-rmarkdown,
	  r-cran-testthat,
	  r-cran-matrix,
	  r-cran-covr,
	  r-cran-slam
Description: Embedded Conic Solver in R
 R interface to the Embedded COnic Solver (ECOS), an efficient
 and robust C library for convex problems. Conic and equality
 constraints can be specified in addition to integer and
 boolean variable constraints for mixed-integer problems. This
 R interface is inspired by the Python interface and has
 similar calling conventions.

## r-cran-ecosolver 0.5.4

=== debian/changelog ===
r-cran-ecosolver (0.5.4-3) unstable; urgency=high

  * Team upload.
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 20:15:10 +0100

r-cran-ecosolver (0.5.4-2) unstable; urgency=high

  * Team upload.
  * Remove test failing at non-intel architectures
    Closes: #982114

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 11:54:41 +0000

r-cran-ecosolver (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jan 2021 09:27:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Rodrigo Carvalho <rodrigorsdc@gmail.com>
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
+# Testsuite: autopkgtest-pkg-r # changes needed in autopkgtest
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
 Homepage: https://cran.r-project.org/package=ECOSolveR
@@ -19,13 +19,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-	  r-cran-knitr,
-	  r-cran-rmarkdown,
-	  r-cran-testthat,
-	  r-cran-matrix,
-	  r-cran-covr,
-	  r-cran-slam
+Suggests: ${R:Suggests}
 Description: Embedded Conic Solver in R
  R interface to the Embedded COnic Solver (ECOS), an efficient
  and robust C library for convex problems. Conic and equality

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
https://cloud.r-project.org/src/contrib/ECOSolveR_([-\d.]*)\.tar\.gz

## r-cran-ecosolver 0.5.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ECOSolveR
 Type: Package
 Title: Embedded Conic Solver in R
-Version: 0.5.4
-Date: 2021-01-05
+Version: 0.5.5
+Date: 2023-05-13
 VignetteBuilder: knitr
 Authors@R: c(person("Anqi", "Fu", role = c("aut"),
 	   	    email = "anqi.fu.1987@gmail.com"),
@@ -26,13 +26,13 @@
 	     similar calling conventions.
 License: GPL (>= 3)
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2021-01-13 03:40:31 UTC; naras
+Packaged: 2023-05-15 21:24:03 UTC; naras
 Author: Anqi Fu [aut],
   Balasubramanian Narasimhan [aut, cre],
   Florian Schwendinger [ctb],
   Martin Maechler [ctb]
 Maintainer: Balasubramanian Narasimhan <naras@stat.Stanford.EDU>
 Repository: CRAN
-Date/Publication: 2021-01-14 06:20:36 UTC
+Date/Publication: 2023-05-15 22:20:03 UTC

=== debian/changelog ===
r-cran-ecosolver (0.5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jun 2023 15:19:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-ecosolver
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Rodrigo Carvalho <rodrigorsdc@gmail.com>
-Section: gnu-r
-# Testsuite: autopkgtest-pkg-r # changes needed in autopkgtest
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
+Homepage: https://cran.r-project.org/package=ECOSolveR
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
-Homepage: https://cran.r-project.org/package=ECOSolveR
-Rules-Requires-Root: no
 
 Package: r-cran-ecosolver
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-matrix
Restrictions: allow-stderr

## r-cran-ecosolver 0.6.1

=== DESCRIPTION ===
Package: ECOSolveR
Type: Package
Title: Embedded Conic Solver in R
Version: 0.6.1
Date: 2026-02-18
VignetteBuilder: knitr
Authors@R: c(person("Anqi", "Fu", role = c("aut"),
	   	    email = "anqi.fu.1987@gmail.com"),
  	     person("Balasubramanian", "Narasimhan", role = c("aut", "cre"),
	   	    email = "naras@stat.Stanford.EDU"),
	     person("Florian", "Schwendinger", role = c("ctb"),
	             email = "FlorianSchwendinger@gmx.at"),
	     person("Martin", "Maechler", role = "ctb",
	             email = "maechler@stat.math.ethz.ch")
	   )
SystemRequirements: GNU make
URL: https://bnaras.github.io/ECOSolveR/
BugReports: https://github.com/bnaras/ECOSolveR/issues
Imports: cli, methods
Suggests: knitr, rmarkdown, testthat, Matrix, covr, slam
Description: R interface to the Embedded COnic Solver (ECOS), an efficient
	     and robust C library for convex problems. Conic and equality
	     constraints can be specified in addition to integer and
	     boolean variable constraints for mixed-integer problems. This
	     R interface is inspired by the python interface and has
	     similar calling conventions.
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2026-02-18 14:38:55 UTC; naras
Author: Anqi Fu [aut],
  Balasubramanian Narasimhan [aut, cre],
  Florian Schwendinger [ctb],
  Martin Maechler [ctb]
Maintainer: Balasubramanian Narasimhan <naras@stat.Stanford.EDU>
Repository: CRAN
Date/Publication: 2026-02-18 15:30:02 UTC

=== debian/changelog ===
r-cran-ecosolver (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Feb 2026 08:56:54 +0900

=== debian/control ===
Source: r-cran-ecosolver
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Rodrigo Carvalho <rodrigorsdc@gmail.com>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
Homepage: https://cran.r-project.org/package=ECOSolveR
Rules-Requires-Root: no

Package: r-cran-ecosolver
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Embedded Conic Solver in R
 R interface to the Embedded COnic Solver (ECOS), an efficient
 and robust C library for convex problems. Conic and equality
 constraints can be specified in addition to integer and
 boolean variable constraints for mixed-integer problems. This
 R interface is inspired by the Python interface and has
 similar calling conventions.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-testthat,
 r-cran-matrix,
 r-cran-covr,
 r-cran-slam,
